跳转到内容
简体中文

上传文件

POST/v1/mailboxes/{mailbox_id}/files

multipart/form-data,字段 file. 大小从 1 字节到 25 MiB。防病毒软件在下载之前会检查文件。配额不足为 409,过大为 413,检测到威胁为 422,无法检查为 503。

授权和访问区域 · 错误和重复

要求

终端窗口
curl -X POST 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/files' \
-H 'Authorization: Bearer <access_token>' \

选项

mailbox_idpath一定

integer

X-Customer-IDheader
选项 1

string

选项 2

null

请求正文 · multipart/form-data

object

file一定

string · binary

响应

201 成功回复

application/json

object

id

string · uuid

filename

string

content_type

string

size_bytes

integer

scanned_at
选项 1

string

UTC. 中的日期和时间 如果没有偏移,该值也代表 UTC.

选项 2

null

401 需要登录

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

403 无法访问

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

404 找不到资源

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

409 国家冲突

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

413 超出尺寸

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

422 验证错误

application/json

object

detail

array

数组元素

object

loc一定

array

数组元素
选项 1

string

选项 2

integer

msg一定

string

type一定

string

503 暂时无法使用

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object